commit 9a2038c24dc0b211a0d9a1f84748be92ee778879
Author: freddy77 <freddy77>
Date:   Thu Aug 27 13:37:40 2009 +0000

    override odbcinst.ini in cancel test to avoid hang using unixODBC

diff --git a/ChangeLog b/ChangeLog
index 0edb58c..5d1ab3a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Aug 27 15:36:42 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cancel.c:
+	- override odbcinst.ini in cancel test to avoid hang using unixODBC
+
 Thu Aug 27 14:31:52 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/genparams.c: update genparams test
 
@@ -1816,4 +1820,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2863 2009/08/27 12:32:14 freddy77 Exp $
+$Id: ChangeLog,v 1.2864 2009/08/27 13:37:40 freddy77 Exp $
diff --git a/src/odbc/unittests/cancel.c b/src/odbc/unittests/cancel.c
index be887a0..1f9a4b8 100644
--- a/src/odbc/unittests/cancel.c
+++ b/src/odbc/unittests/cancel.c
@@ -120,6 +120,28 @@ Test(int use_threads)
 int
 main(int argc, char **argv)
 {
+	if (read_login_info())
+		exit(1);
+
+	/*
+	 * prepare our odbcinst.ini
+	 * is better to do it before connect cause uniODBC cache INIs
+	 * the name must be odbcinst.ini cause unixODBC accept only this name
+	 */
+	if (DRIVER[0]) {
+		FILE *f = fopen("odbcinst.ini", "w");
+
+		if (f) {
+			fprintf(f, "[FreeTDS]\nDriver = %s\nThreading = 0\n", DRIVER);
+			fclose(f);
+			/* force iODBC */
+			setenv("ODBCINSTINI", "./odbcinst.ini", 1);
+			setenv("SYSODBCINSTINI", "./odbcinst.ini", 1);
+			/* force unixODBC (only directory) */
+			setenv("ODBCSYSINI", ".", 1);
+		}
+	}
+
 	use_odbc_version3 = 1;
 	Connect();
 

